Bug 1572621 - RHSM failing to register with proxy settings
Summary: RHSM failing to register with proxy settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Brandon Dunne
QA Contact: luke couzens
URL:
Whiteboard: webui:upgrade:black
Depends On: 1561448
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 12:33 UTC by Satoe Imaishi
Modified: 2018-06-25 14:21 UTC (History)
6 users (show)

Fixed In Version: 5.8.4.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1561448
Environment:
Last Closed: 2018-06-25 14:20:41 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:21:18 UTC

Comment 3 CFME Bot 2018-04-27 13:52:17 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/f25f8108571e619800d56e8c4bffdf8cc144778d
commit f25f8108571e619800d56e8c4bffdf8cc144778d
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Apr  3 10:25:46 2018 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Tue Apr  3 10:25:46 2018 -0400

    Merge pull request #17222 from robbmanes/properly_validate_proxy_urls

    Resolve string handling for "https://" or "http://" in update_rhsm_conf
    (cherry picked from commit b44f6b17977f8f8e317360ecde03ea92e35b32ba)

    https://bugzilla.redhat.com/show_bug.cgi?id=1572621

 app/models/registration_system.rb | 5 +-
 spec/models/registration_system_spec.rb | 35 +-
 2 files changed, 24 insertions(+), 16 deletions(-)

Comment 4 luke couzens 2018-05-16 10:12:27 UTC
Verified in 5.8.4.3

Comment 6 errata-xmlrpc 2018-06-25 14:20:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.